Description

Since it is now possible to configure the rsc logging system using a file, enable this in RSB.

Related issues:
Related to Robotics Service Bus - Enhancement # 916: Factor out configuration... Resolved 03/02/2012
Related to Robotics Systems Commons - Enhancement # 918: Specify key handling... Resolved 03/02/2012
Blocked by Robotics Systems Commons - Bug # 915: Configuration provider objec... Resolved 03/02/2012

Associated revisions
Revision 0f736bdd - 03/02/2012 03:48 PM - J. Wienke

Configure logging using the usual configuration file cascade.

The implementation basically duplicates the cascade as it is not very well factored right now. This needs refactoring.

refs #914

Revision f9d32799 - 03/02/2012 08:27 PM - J. Moringen
Don't fail on missing rsb.conf in src/rsb/Factory.cpp
refs #914, should fix the windows build
    -  src/rsb/Factory.cpp: catch exceptions thrown during attempts to read

  system-wide and user-specific rsb.conf configuration files

History
#1 - 03/02/2012 03:59 PM - J. Wienke
- % Done changed from 0 to 60

Basicaly integrated now in a not so nice fashion (#916). However, environment parsing is broken right now because the parser makes everything
lower-case.

#2 - 03/02/2012 04:44 PM - J. Wienke
- Status changed from In Progress to Resolved

This is a deeper specification problem of RSC (see #918). Postponed until that issue is fixed.

#3 - 03/02/2012 08:28 PM - J. Moringen
- % Done changed from 60 to 100

05/07/2024 1/2



05/07/2024 2/2


